<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DamageEntry extends Model
{

    protected $table = 'damage_enterys';

    public $timestamps = true;
    
    protected $fillable = [
        'dmg_cnt','entry_no','entered_by','customer_id','entry_date','location_id','status','approved_date','approved_by'
    ];

    public function customer()
    {
    	return $this->belongsTo('App\Customer','customer_id');
    }

    public function entered()
    {
    	return $this->belongsTo('App\User','entered_by');
    }
    
}
